{"openapi":"3.1.0","info":{"title":"AIISAJOKE API","version":"0.2.0","description":"Documented AIISAJOKE API surface for product and workflow integrations."},"servers":[{"url":"https://api.aiisajoke.com","description":"AIISAJOKE API"}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"},"AgentBearer":{"type":"http","scheme":"bearer","bearerFormat":"aij_agent_…"}}},"paths":{"/api/chats":{"get":{"summary":"List chats","responses":{"200":{"description":"Chat list"}},"operationId":"getApiChats","description":"List chats"},"post":{"summary":"Create chat","responses":{"200":{"description":"Created chat"}},"operationId":"postApiChats","description":"Create chat"}},"/api/chats/{id}":{"get":{"summary":"Get chat detail","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Chat detail"}},"operationId":"getApiChatsById ","description":"Get chat detail"}},"/api/chats/{id}/messages":{"post":{"summary":"Send message","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"content":{"type":"string"}},"required":["content"]}}}},"responses":{"202":{"description":"Accepted"},"409":{"description":"The same generation request is already in progress or the repair limit has been reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"string"},"generation":{"type":"object","properties":{"type":{"type":"string","enum":["auto","text","image","video"]},"retryable":{"type":"boolean"},"reason":{"type":"string"}},"required":["type","retryable","reason"]}},"required":["error","code","generation"]}}}},"424":{"description":"The same generation request previously failed","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"string","enum":["generation_failed_previous_attempt"]},"generation":{"type":"object","properties":{"type":{"type":"string","enum":["text","image","video"]},"retryable":{"type":"boolean","enum":[false]},"reason":{"type":"string","enum":["previous_attempt_failed"]}},"required":["type","retryable","reason"]}},"required":["error","code","generation"]}}}},"503":{"description":"No healthy model is available or every eligible model failed upstream","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"string","enum":["generation_degraded"]},"degraded":{"type":"object","properties":{"type":{"type":"string","enum":["text","image","video"]},"retryable":{"type":"boolean","enum":[true]},"reason":{"type":"string","enum":["no_healthy_model","upstream_request_failed"]},"attempts":{"type":"array","items":{"type":"object","properties":{"displayName":{"type":"string"},"retryAttempt":{"type":"integer","minimum":1},"error":{"type":"string"}},"required":["displayName","error"]}}},"required":["type","retryable","reason","attempts"]}},"required":["error","code","degraded"]}}}}},"operationId":"postApiChatsByIdMessages","description":"Send message"}},"/api/chats/warmup":{"post":{"summary":"Speculatively warm likely generation models for a longer prompt","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"content":{"type":"string"},"workflowMode":{"type":"string","enum":["auto","text","image","video"]}},"required":["content"]}}}},"responses":{"200":{"description":"Skipped because the prompt was too short to classify confidently","content":{"application/json":{"schema":{"type":"object","properties":{"warmed":{"type":"boolean","enum":[false]},"reason":{"type":"string","enum":["prompt_too_short"]}},"required":["warmed","reason"]}}}},"202":{"description":"Warm-up triggered","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","enum":["text","image","video"]},"warmed":{"type":"boolean","enum":[true]},"candidateCount":{"type":"integer"},"selectedModelId":{"type":["string","null"]}},"required":["type","warmed","candidateCount","selectedModelId"]}}}}},"operationId":"postApiChatsWarmup","description":"Speculatively warm likely generation models for a longer prompt"}},"/api/rum":{"post":{"summary":"Record a real-user performance metric sample","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","enum":["CLS","FCP","FID","INP","LCP","TTFB"]},"value":{"type":"number"},"rating":{"type":"string","enum":["good","needs-improvement","poor"]},"delta":{"type":"number"},"routePath":{"type":"string"},"pageUrl":{"type":"string","format":"uri"},"navigationType":{"type":"string"},"region":{"type":"string"},"userAgent":{"type":"string"}},"required":["name","value","rating","delta","routePath","pageUrl","navigationType","region","userAgent"]}}}},"responses":{"202":{"description":"Accepted","content":{"application/json":{"schema":{"type":"object","properties":{"ok":{"type":"boolean","enum":[true]}},"required":["ok"]}}}}},"operationId":"postApiRum","description":"Record a real-user performance metric sample"}},"/api/generate":{"post":{"summary":"Trigger generation","responses":{"200":{"description":"Ready cached media result","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","enum":["video"]},"chatId":{"type":"string","format":"uuid"},"creditsUsed":{"type":"number","enum":[0]},"jobId":{"type":"string"},"mediaId":{"type":"string"},"status":{"type":"string","enum":["ready"]},"mediaUrl":{"type":"string"},"thumbnailUrl":{"type":["string","null"]},"preview":{"type":"null"},"mimeType":{"type":"string"}},"required":["type","chatId","creditsUsed","jobId","mediaId","status","mediaUrl","mimeType"]}}}},"202":{"description":"Accepted","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","enum":["image","video"]},"chatId":{"type":"string","format":"uuid"},"creditsUsed":{"type":"number"},"jobId":{"type":"string"},"mediaId":{"type":"string"},"status":{"type":"string","enum":["processing","ready"]},"mediaUrl":{"type":["string","null"]},"thumbnailUrl":{"type":["string","null"]},"preview":{"anyOf":[{"type":"object","properties":{"stage":{"type":"string","enum":["placeholder","thumbnail_ready","poster_ready"]},"thumbnailUrl":{"type":["string","null"]},"alt":{"type":"string"}},"required":["stage","thumbnailUrl","alt"]},{"type":"null"}]},"mimeType":{"type":"string"}},"required":["type","chatId","creditsUsed","jobId","mediaId","status","mediaUrl","mimeType"]}}}},"409":{"description":"The same generation request is already in progress","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"string","enum":["generation_in_progress"]},"generation":{"type":"object","properties":{"type":{"type":"string","enum":["text","image","video"]},"retryable":{"type":"boolean","enum":[true]},"reason":{"type":"string","enum":["request_in_progress"]}},"required":["type","retryable","reason"]}},"required":["error","code","generation"]}}}},"424":{"description":"The same generation request previously failed","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"string","enum":["generation_failed_previous_attempt"]},"generation":{"type":"object","properties":{"type":{"type":"string","enum":["text","image","video"]},"retryable":{"type":"boolean","enum":[false]},"reason":{"type":"string","enum":["previous_attempt_failed"]}},"required":["type","retryable","reason"]}},"required":["error","code","generation"]}}}},"503":{"description":"No healthy model is available or every eligible model failed upstream","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"string","enum":["generation_degraded"]},"degraded":{"type":"object","properties":{"type":{"type":"string","enum":["text","image","video"]},"retryable":{"type":"boolean","enum":[true]},"reason":{"type":"string","enum":["no_healthy_model","upstream_request_failed"]},"attempts":{"type":"array","items":{"type":"object","properties":{"displayName":{"type":"string"},"retryAttempt":{"type":"integer","minimum":1},"error":{"type":"string"}},"required":["displayName","error"]}}},"required":["type","retryable","reason","attempts"]}},"required":["error","code","degraded"]}}}}},"operationId":"postApiGenerate","description":"Trigger generation"}},"/api/media":{"get":{"summary":"List user media","responses":{"200":{"description":"Media list"}},"operationId":"getApiMedia","description":"List user media"}},"/api/media/{id}":{"patch":{"summary":"Update owned media metadata","responses":{"200":{"description":"Updated media item"}},"operationId":"patchApiMediaById ","description":"Update owned media metadata"}},"/api/media/featured":{"get":{"summary":"List featured discovery media","responses":{"200":{"description":"Featured media"}},"operationId":"getApiMediaFeatured","description":"List featured discovery media"}},"/api/templates":{"get":{"summary":"List public templates","responses":{"200":{"description":"Template list","content":{"application/json":{"schema":{"type":"object","properties":{"templates":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"slug":{"type":"string"},"workflowId":{"type":["string","null"],"format":"uuid"},"estimatedCredits":{"type":"integer"}},"required":["id","slug","workflowId","estimatedCredits"]}},"page":{"type":"integer"},"limit":{"type":"integer"},"hasMore":{"type":"boolean"}},"required":["templates","page","limit","hasMore"]}}}}},"operationId":"getApiTemplates","description":"List public templates"}},"/api/templates/featured":{"get":{"summary":"List featured public templates","responses":{"200":{"description":"Featured template list","content":{"application/json":{"schema":{"type":"object","properties":{"templates":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"slug":{"type":"string"},"workflowId":{"type":["string","null"],"format":"uuid"},"estimatedCredits":{"type":"integer"}},"required":["id","slug","workflowId","estimatedCredits"]}}},"required":["templates"]}}}}},"operationId":"getApiTemplatesFeatured","description":"List featured public templates"}},"/api/templates/{id}":{"get":{"summary":"Get template detail by id or SEO slug","responses":{"200":{"description":"Template detail","content":{"application/json":{"schema":{"type":"object","properties":{"template":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"slug":{"type":"string"},"workflowId":{"type":["string","null"],"format":"uuid"},"estimatedCredits":{"type":"integer"}},"required":["id","slug","workflowId","estimatedCredits"]}},"required":["template"]}}}},"404":{"description":"Template not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","enum":["Template not found."]}},"required":["error"]}}}}},"operationId":"getApiTemplatesById ","description":"Get template detail by id or SEO slug"}},"/api/templates/{id}/use":{"post":{"summary":"Use template in current auth context","responses":{"201":{"description":"Customer-safe template launch summary","content":{"application/json":{"schema":{"type":"object","properties":{"chat":{"type":"object","properties":{"id":{"type":"string","format":"uuid"}},"required":["id"]},"template":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"title":{"type":"string"},"estimatedCredits":{"type":"integer"}},"required":["id","title","estimatedCredits"]},"workflowExecution":{"anyOf":[{"type":"null"},{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"status":{"type":"string","enum":["pending"]}},"required":["id","status"]}]}},"required":["chat","template","workflowExecution"]}}}},"404":{"description":"Template not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","enum":["Template not found."]}},"required":["error"]}}}}},"operationId":"postApiTemplatesByIdUse","description":"Use template in current auth context"}},"/api/users/profile":{"get":{"summary":"Get current user profile","responses":{"200":{"description":"User profile"}},"operationId":"getApiUsersProfile","description":"Get current user profile"}},"/api/credits/balance":{"get":{"summary":"Get credit balance","responses":{"200":{"description":"Credit balance"}},"operationId":"getApiCreditsBalance","description":"Get credit balance"}},"/api/billing/subscription":{"get":{"summary":"Get subscription","responses":{"200":{"description":"Subscription"}},"operationId":"getApiBillingSubscription","description":"Get subscription"}},"/api/billing/plans":{"get":{"summary":"List billing plans","responses":{"200":{"description":"Stripe plan credit economics"}},"operationId":"getApiBillingPlans","description":"List billing plans"}},"/api/memory":{"get":{"summary":"Get persistent memory","responses":{"200":{"description":"Memory"}},"operationId":"getApiMemory","description":"Get persistent memory"},"put":{"summary":"Update persistent memory","responses":{"200":{"description":"Updated memory"}},"operationId":"putApiMemory","description":"Update persistent memory"}},"/api/skills":{"get":{"summary":"List user skills","responses":{"200":{"description":"Skills"}},"operationId":"getApiSkills","description":"List user skills"},"post":{"summary":"Create user skill","responses":{"201":{"description":"Created skill"}},"operationId":"postApiSkills","description":"Create user skill"}},"/api/admin/dashboard":{"get":{"summary":"Admin dashboard stats","responses":{"200":{"description":"Dashboard stats"}},"operationId":"getApiAdminDashboard","description":"Admin dashboard stats"}},"/api/admin/providers":{"get":{"summary":"List provider records","responses":{"200":{"description":"Providers"}},"operationId":"getApiAdminProviders","description":"List provider records"}},"/api/admin/templates":{"get":{"summary":"List admin template records","responses":{"200":{"description":"Templates","content":{"application/json":{"schema":{"type":"object","properties":{"templates":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"title":{"type":"string"},"workflowId":{"type":["string","null"],"format":"uuid"},"estimatedCredits":{"type":"integer"},"generationSettings":{"type":"object"}},"required":["id","title","workflowId","estimatedCredits","generationSettings"]}}},"required":["templates"]}}}}},"operationId":"getApiAdminTemplates","description":"List admin template records"},"post":{"summary":"Manual template creation removed; sync provider catalog workflows instead","responses":{"410":{"description":"Manual template creation has been removed","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","enum":["Manual template creation has been removed. Sync provider catalog workflow templates instead."]}},"required":["error"]}}}}},"operationId":"postApiAdminTemplates","description":"Manual template creation removed; sync provider catalog workflows instead"}},"/api/admin/templates/{id}":{"patch":{"summary":"Update admin template record","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Updated template","content":{"application/json":{"schema":{"type":"object","properties":{"template":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"title":{"type":"string"},"workflowId":{"type":["string","null"],"format":"uuid"},"estimatedCredits":{"type":"integer"},"generationSettings":{"type":"object"}},"required":["id","title","workflowId","estimatedCredits","generationSettings"]}},"required":["template"]}}}},"404":{"description":"Template not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","enum":["Template not found."]}},"required":["error"]}}}}},"operationId":"patchApiAdminTemplatesById ","description":"Update admin template record"},"delete":{"summary":"Imported templates cannot be deleted from admin","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"410":{"description":"Imported templates cannot be deleted","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","enum":["Imported provider catalog workflow templates cannot be deleted from admin. Hide them by setting release mode to test."]}},"required":["error"]}}}}},"operationId":"deleteApiAdminTemplatesById ","description":"Imported templates cannot be deleted from admin"}},"/api/admin/platform":{"get":{"summary":"Platform API and workflow ops overview","responses":{"200":{"description":"Platform stats"}},"operationId":"getApiAdminPlatform","description":"Platform API and workflow ops overview"}},"/api/admin/observability":{"get":{"summary":"Provider, model, trace, and cost observability overview","parameters":[{"name":"recentSyntheticProbeLimit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":500},"description":"Optional cap for recent synthetic probe events returned in the response."}],"responses":{"200":{"description":"Observability stats","content":{"application/json":{"schema":{"type":"object","properties":{"stats":{"type":"object","properties":{"providerStats":{"type":"array","items":{"type":"object","properties":{"provider":{"type":"string"},"requestCount":{"type":"integer"},"failureCount":{"type":"integer"},"avgLatencyMs":{"type":"integer"},"creditsUsed":{"type":"integer"},"estimatedProviderCostUsdMicros":{"type":"integer"},"actualProviderCostUsdMicros":{"type":"integer"}},"required":["provider","requestCount","failureCount","avgLatencyMs","creditsUsed","estimatedProviderCostUsdMicros","actualProviderCostUsdMicros"]}},"modelStats":{"type":"array","items":{"type":"object","properties":{"modelId":{"type":"string"},"displayName":{"type":"string"},"provider":{"type":"string"},"requestCount":{"type":"integer"},"failureCount":{"type":"integer"},"avgLatencyMs":{"type":"integer"},"creditsUsed":{"type":"integer"},"estimatedProviderCostUsdMicros":{"type":"integer"},"actualProviderCostUsdMicros":{"type":"integer"}},"required":["modelId","displayName","provider","requestCount","failureCount","avgLatencyMs","creditsUsed","estimatedProviderCostUsdMicros","actualProviderCostUsdMicros"]}},"recentUserCosts":{"type":"array","items":{"type":"object","properties":{"userId":{"type":"string","format":"uuid"},"email":{"type":"string"},"username":{"type":"string"},"source":{"type":"string"},"amount":{"type":"integer"},"state":{"type":"string","enum":["reserved","consumed","refunded"]},"estimatedProviderCostUsdMicros":{"type":"integer"},"actualProviderCostUsdMicros":{"type":["integer","null"]},"createdAt":{"type":"string","format":"date-time"}},"required":["userId","email","username","source","amount","state","estimatedProviderCostUsdMicros","actualProviderCostUsdMicros","createdAt"]}},"recentTraces":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"traceType":{"type":"string","enum":["orchestration","async_job","http_request","rum","synthetic"]},"traceName":{"type":"string"},"status":{"type":"string","enum":["completed","failed","retry_scheduled"]},"requestId":{"type":["string","null"]},"dispatchRunId":{"type":["string","null"]},"asyncJobId":{"type":["string","null"]},"workflowExecutionId":{"type":["string","null"]},"userId":{"type":["string","null"]},"chatId":{"type":["string","null"]},"modelId":{"type":["string","null"]},"providerKey":{"type":["string","null"]},"routePath":{"type":["string","null"]},"httpMethod":{"type":["string","null"]},"httpStatus":{"type":["integer","null"]},"latencyMs":{"type":"integer"},"creditsUsed":{"type":"integer"},"metadata":{"anyOf":[{"type":"object"},{"type":"null"}]},"createdAt":{"type":"string","format":"date-time"}},"required":["id","traceType","traceName","status","requestId","dispatchRunId","asyncJobId","workflowExecutionId","userId","chatId","modelId","providerKey","routePath","httpMethod","httpStatus","latencyMs","creditsUsed","metadata","createdAt"]}},"apiRouteSlos":{"type":"array","items":{"type":"object","properties":{"routePath":{"type":"string"},"windowHours":{"type":"integer"},"requestCount":{"type":"integer"},"failureCount":{"type":"integer"},"availabilityPct":{"type":"number"},"availabilityTargetPct":{"type":"number"},"p95LatencyMs":{"type":"integer"},"p95LatencyTargetMs":{"type":"integer"},"errorBudgetRemainingPct":{"type":"number"},"status":{"type":"string","enum":["healthy","degraded"]}},"required":["routePath","windowHours","requestCount","failureCount","availabilityPct","availabilityTargetPct","p95LatencyMs","p95LatencyTargetMs","errorBudgetRemainingPct","status"]}},"rumRouteStats":{"type":"array","items":{"type":"object","properties":{"routePath":{"type":"string"},"region":{"type":"string"},"sampleCount":{"type":"integer"},"windowHours":{"type":"integer"},"metrics":{"type":"object","properties":{"lcpMs":{"type":"integer"},"inpMs":{"type":"integer"},"cls":{"type":"number"},"fcpMs":{"type":"integer"},"ttfbMs":{"type":"integer"}},"required":["lcpMs","inpMs","cls","fcpMs","ttfbMs"]}},"required":["routePath","region","sampleCount","windowHours","metrics"]}},"syntheticRouteStats":{"type":"array","items":{"type":"object","properties":{"routePath":{"type":"string"},"region":{"type":"string"},"sampleCount":{"type":"integer"},"failureCount":{"type":"integer"},"windowHours":{"type":"integer"},"availabilityPct":{"type":"number"},"p95LatencyMs":{"type":"integer"},"latestStatus":{"type":"string","enum":["healthy","degraded"]},"lastSeenAt":{"type":"string","format":"date-time"}},"required":["routePath","region","sampleCount","failureCount","windowHours","availabilityPct","p95LatencyMs","latestStatus","lastSeenAt"]}},"recentSyntheticProbes":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"routePath":{"type":"string"},"region":{"type":"string"},"targetUrl":{"type":"string","format":"uri"},"status":{"type":"string","enum":["completed","failed","retry_scheduled"]},"httpStatus":{"type":["integer","null"]},"latencyMs":{"type":"integer"},"error":{"type":["string","null"]},"createdAt":{"type":"string","format":"date-time"}},"required":["id","routePath","region","targetUrl","status","httpStatus","latencyMs","error","createdAt"]}},"alerts":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"severity":{"type":"string","enum":["info","warning","critical"]},"title":{"type":"string"},"detail":{"type":"string"}},"required":["id","severity","title","detail"]}}},"required":["providerStats","modelStats","recentUserCosts","recentTraces","apiRouteSlos","rumRouteStats","syntheticRouteStats","recentSyntheticProbes","alerts"]}},"required":["stats"]}}}}},"operationId":"getApiAdminObservability","description":"Provider, model, trace, and cost observability overview"}},"/api/admin/platform/api-keys":{"get":{"summary":"List public API keys","responses":{"200":{"description":"API keys"}},"operationId":"getApiAdminPlatformApiKeys","description":"List public API keys"},"post":{"summary":"Create public API key","responses":{"201":{"description":"Created API key"}},"operationId":"postApiAdminPlatformApiKeys","description":"Create public API key"}},"/api/users/me/connections":{"get":{"summary":"List the signed-in user's agent connections","security":[{"BearerAuth":[]}],"responses":{"200":{"description":"Connection metadata; token secrets are never returned."}},"operationId":"getApiUsersMeConnections","description":"List the signed-in user's agent connections"},"post":{"summary":"Create a personal agent connection","security":[{"BearerAuth":[]}],"responses":{"201":{"description":"Connection plus its one-time token secret."}},"operationId":"postApiUsersMeConnections","description":"Create a personal agent connection"}},"/api/users/me/connections/{id}/rotate":{"post":{"summary":"Rotate an owned agent connection and return its new one-time token","security":[{"BearerAuth":[]}],"responses":{"200":{"description":"Rotated connection and one-time token secret."}},"operationId":"postApiUsersMeConnectionsByIdRotate","description":"Rotate an owned agent connection and return its new one-time token"}},"/api/users/me/connections/{id}":{"delete":{"summary":"Revoke an owned agent connection","security":[{"BearerAuth":[]}],"responses":{"200":{"description":"Revoked connection metadata."}},"operationId":"deleteApiUsersMeConnectionsById ","description":"Revoke an owned agent connection"}},"/api/mcp":{"post":{"summary":"Use the AIISAJOKE Streamable HTTP MCP server","description":"Accepts JSON-RPC 2.0. Personal aij_agent_ bearer tokens expose only tools allowed by their catalog, credit, generation, status, and library scopes.","security":[{"AgentBearer":[]},{"BearerAuth":[]}],"responses":{"200":{"description":"JSON-RPC result."},"401":{"description":"Invalid or expired connection."}},"operationId":"postApiMcp"}},"/api/public/workflows":{"get":{"summary":"List public workflows","responses":{"200":{"description":"Public workflow list"}},"operationId":"getApiPublicWorkflows","description":"List public workflows"}},"/api/public/meta":{"get":{"summary":"Get public integration manifest","responses":{"200":{"description":"Public API manifest"}},"operationId":"getApiPublicMeta","description":"Get public integration manifest"}},"/api/public/docs":{"get":{"summary":"Get public integration docs page","responses":{"200":{"description":"Public API docs page"}},"operationId":"getApiPublicDocs","description":"Get public integration docs page"}},"/api/public/workflows/{stableId}":{"get":{"summary":"Get public workflow detail","responses":{"200":{"description":"Public workflow detail"}},"operationId":"getApiPublicWorkflowsByStableId ","description":"Get public workflow detail"}},"/api/public/workflows/{stableId}/runs":{"post":{"summary":"Create public workflow run (temporarily unavailable)","responses":{"503":{"description":"Workflow execution is unavailable until the production executor is configured","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","enum":["Workflow execution is temporarily unavailable."]},"code":{"type":"string","enum":["workflow_execution_unavailable"]}},"required":["error","code"]}}}}},"operationId":"postApiPublicWorkflowsByStableIdRuns","description":"Create public workflow run (temporarily unavailable)"}},"/api/public/workflows/runs/{id}":{"get":{"summary":"Get public workflow run status","responses":{"200":{"description":"Workflow run detail","content":{"application/json":{"schema":{"type":"object","properties":{"run":{"type":"object","properties":{"status":{"type":"string","enum":["pending","running","completed","failed"]},"estimatedCredits":{"type":"integer"},"actualCredits":{"type":"integer"}},"required":["status","estimatedCredits","actualCredits"]}},"required":["run"]}}}}},"operationId":"getApiPublicWorkflowsRunsById ","description":"Get public workflow run status"}}}}